OpenVDB 13.0.0

Loading...
Searching...
No Matches
ValueMaskFilter< On > Class Template Reference

Index filtering on active / inactive state of host voxel. More...

`#include <openvdb/points/IndexFilter.h>`

## Public Member Functions
template<typename LeafT>
void | reset (const LeafT &)
template<typename IterT>
bool | valid (const IterT &iter) const

## Static Public Member Functions
static bool | initialized ()
static index::State | state ()
template<typename LeafT>
static index::State | state (const LeafT &leaf)

## Detailed Description

template<bool On>
class openvdb::v13_0::points::ValueMaskFilter< On >

Index filtering on active / inactive state of host voxel.

## Member Function Documentation

## ◆ initialized()

template<bool On>

bool initialized | ( |  | ) |
| inline static

## ◆ reset()

template<bool On>
template<typename LeafT>

void reset | ( | const LeafT & |  | ) |
| inline

## ◆ state() [1/2]

template<bool On>

index::State state | ( |  | ) |
| inline static

## ◆ state() [2/2]

template<bool On>
template<typename LeafT>

index::State state | ( | const LeafT & | leaf | ) |
| inline static

## ◆ valid()

template<bool On>
template<typename IterT>

bool valid | ( | const IterT & | iter | ) | const
| inline